package com.ozs.plan.service;


import com.ozs.common.core.domain.AjaxResult;
import com.ozs.plan.doman.PlanOfYears;
import com.ozs.plan.doman.vo.requestVo.PlanOfYearsStandardVo;
import com.ozs.plan.doman.vo.responseVo.PlanOfYearsResponseVo;

import java.util.List;

/**
 * 系统访问日志情况信息 服务层
 *
 * @author bu
 */
public interface PlanOfYearsService {

    /**
     * 查询年度计划记录集合
     *
     * @param vo 年度计划请求对象
     * @return 年度计划记录集合
     */
    public List<PlanOfYears> selectPlanOfYearsList(PlanOfYearsStandardVo vo);

    /**
     * 创建年度计划
     *
     * @param yearsStandardVo 年度计划请求对象
     */
    public AjaxResult insertPlanOfYears(PlanOfYearsStandardVo yearsStandardVo);

    /**
     * 批量删除年度计划
     *
     * @param planIds 需要删除的年度计划ID
     * @return 结果
     */
    public AjaxResult deletePlanOfYearsByIds(Long[] planIds);

    public AjaxResult deletePlanOfYearsById(Long planYearId);

    public AjaxResult view(PlanOfYearsStandardVo yearsStandardVo);

    public AjaxResult update(PlanOfYearsStandardVo yearsStandardVo);
}
